GET/trashcan/projects/{id}.json

Get a Project Resources in the Trashcan

A person who is not a project administrator gets only the items that they deleted.


Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    days
    Type
    integer
    Description

    Return only the items that were deleted in the last number of days.

    Default
    30
  • Name
    items
    Type
    string
    Description

    A comma-separated list of the item lists to return, for example tasks,tasklists. all returns all item lists.

    Default
    all

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 Response

Examples

200 Response

application/json
{
  "links": [],
  "tasklists": [],
  "files": [],
  "forms": [],
  "comments": [],
  "messages": [],
  "messagereplies": [],
  "STATUS": "OK",
  "tasks": [
    {
      "id": "67890",
      "name": "Update the home page",
      "username": "Jane Doe",
      "date": "2026-09-01T10:00:00Z",
      "days": "3",
      "commentCount": "2",
      "hasSubtasks": false,
      "parentTaskId": "0",
      "parentTaskStatus": "",
      "parentTaskName": ""
    }
  ],
  "timelogs": [],
  "notebooks": [],
  "milestones": []
}